Summary: Drag and Drop clipboard
Name: OffiX-Clipboard
Version: 2.4
Release: 5
Source: ftp://ftp.leb.net/pub/offix/Clipboard-2.4.tar.gz
Source1: offix-clipboard.wmconfig
Patch: Clipboard-2.4-Xaw3d.patch
BuildRoot: /var/tmp/OffiX-Clipboard-build
Copyright: GPL
Group: X11/Applications

%description
Just a patch to the standard xclipboard program. You can drop things on the
clipboard window and they will be inserted into the current clipboard.

%prep
%setup -q -n Clipboard-2.4
%patch -p1

%build
./configure --prefix=/usr/X11R6 --with-dnd-inc=/usr/X11R6/include/X11 --with-dnd-lib=/usr/X11R6/lib
make

%install
rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT/usr/X11R6/lib/X11/app-defaults
install -c -m 644 Clipboard.ad $RPM_BUILD_ROOT/usr/X11R6/lib/X11/app-defaults/Clipboard
make prefix=$RPM_BUILD_ROOT/usr/X11R6/ install
strip $RPM_BUILD_ROOT/usr/X11R6/bin/clipboard

install -d $RPM_BUILD_ROOT/etc/X11/wmconfig
install -m 644 -o root -g root $RPM_SOURCE_DIR/offix-clipboard.wmconfig $RPM_BUILD_ROOT/etc/X11/wmconfig/offix-clipboard

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc AUTHORS COPYING INSTALL README THANKS
%config /usr/X11R6/lib/X11/app-defaults/Clipboard
/usr/X11R6/bin/clipboard
/usr/X11R6/man/man1/clipboard.1
/etc/X11/wmconfig/offix-clipboard

%changelog
* Wed Oct 06 1998 Michael Maher <mike@redhat.com>
- cleaned up spec file.
- built for powertools 5.2

* Tue May 19 1998 Michael Maher <mike@redhat.com>
- Checked config file for accuracy, rebuilt.

* Tue Jan 27 1998 Otto Hammersmith <otto@redhat.com>
- added wmconfig

* Thu Jan 22 1998 Otto Hammersmith <otto@redhat.com>
- snagged contrib package and cleaned itup
